/*
  Double Blink a Pin with Repetition
  A snippet of 're-useable' code to blink LED ON-OFF-ON-OFF.
  Variable interval for ON and OFF are arguments 2 & 3.
  Pattern will be repeated through argument 3.
  The pin to 'flash' is argument 1.
*/
//Pin mode must be set to outout in Main
//When iSetMe = false 
boolean iSetMe = false;

void pindoubleblink (byte ledPin, int litdelay, int darkdelay, int replay) {
if (iSetMe) {
  Serial.println("Led setting");
  pinMode(ledPin,OUTPUT);
}
 for (int interate = 0; interate < replay; interate++) { 
  digitalWrite(ledPin, HIGH);   // turn the LED on
  delay(litdelay);              // wait for the lit time
  digitalWrite(ledPin, LOW);    // turn the LED off
  delay(darkdelay); 		        // wait for the dark delay time
  digitalWrite(ledPin, HIGH);
  delay(litdelay);		        	// wait for the lit time
  digitalWrite(ledPin, LOW);
  if (replay >0 ) {
    delay(darkdelay);             // wait for the dark delay time
  }
 }
}
